%define name	opengroupware-zidestore
%define version 1.2.70
%define cvs	20040523
%define release	%{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     OpenGroupware.org application interface
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL: http://www.opengroupware.org
Group:       System/Servers
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env
Source:      opengroupware.org-zidestore-%{cvs}.tar.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-js opengroupware-js-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-docapi opengroupware-docapi-devel

%description
This package contains the OpenGroupware.org zidestore application interface.

%package devel
Summary:  The header files for the OpenGroupware.org zidestore interface
Group:    Development/Other
Requires: opengroupware-gstep-make
Requires: %name


%description devel
The devel package contains the header files for the OpenGroupware.org
zidestore interface

%prep

%setup -q -n opengroupware.org-zidestore

%build

source %{prefix}/OpenGroupware.org.sh
export FORCED_USER_ROOT=${RPM_BUILD_ROOT}

make -s debug=yes strip=yes all GNUSTEP_INSTALLATION_DIR=$FORCED_USER_ROOT


%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

make -s debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYRIGHT COPYING Version LIMITATIONS
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libZideStoreBackend_d.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libZideStoreBackend_d.so.1.2
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libZideStoreFrontend_d.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libZideStoreFrontend_d.so.1.2
%{prefix}/Library/OpenGroupware.org/Appointments.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/Contacts.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/EvoConnect.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/PrefsUI.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/Projects.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/RSS.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/Tasks.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/WCAP.zsp/Contents/Resources
%{prefix}/Library/OpenGroupware.org/EvoConnect.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/Appointments.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/EvoConnect.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/EvoConnect.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/EvoConnect
%{prefix}/Library/OpenGroupware.org/Appointments.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/Appointments.zsp/bundle-info.plist
%{prefix}/Library/OpenGroupware.org/Appointments.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/Appointments
%{prefix}/Library/OpenGroupware.org/Contacts.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/Contacts.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/Contacts.zsp/bundle-info.plist
%{prefix}/Library/OpenGroupware.org/Contacts.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/Contacts
%{prefix}/Library/OpenGroupware.org/Projects.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/Projects.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/Projects.zsp/bundle-info.plist
%{prefix}/Library/OpenGroupware.org/Projects.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/Projects
%{prefix}/Library/OpenGroupware.org/RSS.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/RSS.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/RSS.zsp/bundle-info.plist
%{prefix}/Library/OpenGroupware.org/RSS.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/RSS
%{prefix}/Library/OpenGroupware.org/Tasks.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/Tasks.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/Tasks.zsp/bundle-info.plist
%{prefix}/Library/OpenGroupware.org/Tasks.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/Tasks
%{prefix}/Library/OpenGroupware.org/PrefsUI.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/PrefsUI.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/PrefsUI.zsp/bundle-info.plist
%{prefix}/Library/OpenGroupware.org/PrefsUI.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/PrefsUI
%{prefix}/Library/OpenGroupware.org/WCAP.zsp/Contents/Info.plist
%{prefix}/Library/OpenGroupware.org/WCAP.zsp/Resources/*
%{prefix}/Library/OpenGroupware.org/WCAP.zsp/bundle-info.plist
%{prefix}/Library/OpenGroupware.org/WCAP.zsp/%{dirarch}/linux-gnu/gnu-fd-nil/WCAP
%{prefix}/WOApps/ZideStore.woa/Resources/*
%{prefix}/WOApps/ZideStore.woa/WebServerResources/*
%{prefix}/WOApps/ZideStore.woa/%{dirarch}/linux-gnu/gnu-fd-nil/*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libZideStoreBackend_d.so.*.*.*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libZideStoreFrontend_d.so.*.*.*


%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/ZideStore12/Backend/*.h
%{prefix}/Headers/ZideStore12/Frontend/*.h


%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 1.2.70-20040523.1mdk
- 20040523
- make arch aware

* Wed Feb 11 2004 Spencer Anderson <sdander@oberon.ark.com> 1.2.66-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 1.2.62-20031201.1mdk
- new snapshot - bugfixes
- specfile cleaning
- buildrequires opengroupware-docapi-devel

* Mon Oct 6 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031001.1mdk
- new module

  
